kompendium
2.0.1
2.0.2 2.0.1

# Field

@ Target (allowedTargets = [ AnnotationTarget.PROPERTY ])
annotation class Field (name: String , description: String )
Content copied to clipboard

Annotation used to perform field level overrides.

## Parameters

name

Indicates that a field name override is desired. Often used for camel case to snake case conversions.

## Constructors

Field
Link copied to clipboard
fun Field (name: String = "", description: String = "")
Content copied to clipboard

## Properties

description
Link copied to clipboard
val description : String
Content copied to clipboard
name
Link copied to clipboard
val name : String
Content copied to clipboard